[PACKAGE]: ../../raw/master/mkp/inv_cisco_wlc_ap_cdp_cache-0.4.1-20240308.mkp "inv_cisco_wlc_ap_cdp_cache-0.4.1-20240308.mkp"
# Cisco WLC AP CDP cache inventory plugin 

Adds APs CDP information to the inventory

*  *wato*: 
    *  you can remove the domain name from the neighbour name
    *  you can use short inteface names (e.g. Gigabitethernet1/0/1 becomes Gi1/0/1)
    *  you can remove the columns for speed and duplex

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, alway check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample inventory

![sample inventory](/img/sample.png?raw=true "sample inventory)

WATO options

![WATO options](/img/sample-wato.png?raw=true "WATO options")
